Delete (Remove User or Group) Cash Flow Permission

DELETE /ws/rest/service/v1/cashflow/permission/{project_number}

Purpose

Add User/Group to cash flow permission (in user mode) of a specific BP in a shell based on shell number or from company level if project/shell number is not provided.

The input JSON provides various options to be considered for fetching the data

Request Format

All parameters must be URL encoded.

Path Parameter

project_number: Specify the project number in which the cash flow exists; if not provided, cash flows are fetched from company level.

POST body is a JSON

Note:

POST call has input & output both as JSON in the body

Response Format

A JSON object is returned in the following format.

{

"data": [],

"message": [],

"status": <REST status code value>

}

A successful response displays a status code 200.

A failed response displays a message with a status code.

Sample Request

{

"data" :

{

"names": ["cash flow 1"],

"user_names" : ["coadmin","donna","PU1"],

"group_names" : [ "group1", "group2" ]

}

}

Here "cash_flow" are mandatory in options.

In the request body, "names" is an optional parameter. For multiple cash flows, specify a comma-separated list in the following format:

"names": ["cash flow 1", "cash flow 2", "cash flow 3"]

If names are not provided, an error response will be provided to user to provide cash flows.

Sample Success Response

This is an example of a successful response with status 200.

{

"data": {

"cash flow 1": {

"deleted_groups": [],

"deleted_users": [

"PU1 P"

]

}

},

"message": [

"success"

],

"status": 200

}

Sample Failed Response

This is an example of a failed response with status 3000.

{

"data": {

"cash flow 1": {

"deleted_groups": [],

"deleted_users": ["PU1 P"]

}

},

"message": [

{

"name": "cash flow 2",

"status": "delete permission error message"},

{

"name": "cash flow 3",

"status": "delete permission error message"}

],

"status": 3000

}